Last Comment Bug 731506 - (LA-scrapbook-plus) Scrapbook Plus add-on creates zombie compartments
(LA-scrapbook-plus)
: Scrapbook Plus add-on creates zombie compartments
Status: RESOLVED FIXED
[MemShrink:P3]
:
Product: Core
Classification: Components
Component: General (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
https://addons.mozilla.org/addon/scra...
Depends on:
Blocks: LeakyAddons ZombieCompartments
  Show dependency treegraph
 
Reported: 2012-02-28 21:24 PST by Kris Maglione [:kmag]
Modified: 2012-03-29 05:52 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Kris Maglione [:kmag] 2012-02-28 21:24:54 PST
This applies both to the current public version, 1.8.21.35, and the version currently up for review, 1.8.22.36.

I triggered this by the following:

1) Open http://enwp.org/Mahler
2) Click the status bar icon and select Edit Before Capture
3) Edit the page. I tried to use all of the functions from the edit toolbar.
4) Click save and complete the dialog that opens.
5) Close tab.

A compartment has leaked. I don't know how many of these steps are required to reproduce the bug.

Not CCing the authors as none seem to have Bugzilla accounts, but they have been notified via AMO.
Comment 1 Andrew Williamson [:eviljeff] 2012-02-29 07:32:58 PST
.. correcting url. 
Info request sent to the developer to ask them to cc onto this bug.
Comment 2 Andrew Williamson [:eviljeff] 2012-03-14 06:07:13 PDT
Developer chased via info request.  If no response or updated version next week we'll downgrade existing versions to preliminary.
Comment 3 Jorge Villalobos [:jorgev] 2012-03-21 13:47:12 PDT
An update was uploaded with the intention to fix the bug, but it doesn't. I've notified the developer that the leak is still there and needs to be fixed soon.
Comment 4 Andrew Williamson [:eviljeff] 2012-03-29 05:52:44 PDT
Leak fixed in version 1.8.22.38 so closing bug.

Note You need to log in before you can comment on or make changes to this bug.